## webkitgtk 2.4.0

=== debian/changelog ===
webkitgtk (2.4.0-1ubuntu2) trusty; urgency=medium

  * Restore accidentally dropped debian/rules change disabling JIT, YARR_JIT
    and ASSEMBLER on arm64/ppc64el.

 -- Iain Lane <iain@orangesquash.org.uk>  Sat, 05 Apr 2014 16:30:23 +0100

webkitgtk (2.4.0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian. Remaining changes:
    - Build for ppc64el and arm64
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Don't use COMPARE_AND_SWAP and other snippets of asm on arm64; the
      compiler complains that they are invalid.
  * debian/patches/no-no-tree-dce: Don't build with -fno-tree-dce on Ubuntu,
    it triggers a gcc bug on armhf (gcc bug #60617).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Apr 2014 17:44:42 +0100

webkitgtk (2.4.0-1) experimental; urgency=medium

  * New upstream stable release.
  * debian/patches/fix-textrel-x86.patch:
    + Remove TEXTREL tag in x86.

 -- Alberto Garcia <berto@igalia.com>  Tue, 25 Mar 2014 11:18:17 +0200

webkitgtk (2.3.92-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/dfg-jit.patch,
    debian/patches/install-minibrowser.patch:
    + Refresh.

 -- Alberto Garcia <berto@igalia.com>  Mon, 17 Mar 2014 21:07:56 +0000

webkitgtk (2.3.91-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * debian/patches/dfg-jit.patch: Update - partially applied upstream.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 04 Mar 2014 17:57:17 +0000

webkitgtk (2.3.90-1ubuntu1) trusty; urgency=medium

  * Merge with Debian. Remaining changes:
    - Build for ppc64el and arm64
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Don't use COMPARE_AND_SWAP and other snippets of asm on arm64; the
      compiler complains that they are invalid.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 20 Feb 2014 10:31:10 +0000

webkitgtk (2.3.90-1) experimental; urgency=medium

  * New upstream release.
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols,
    debian/libwebkit2gtk-3.0-25.symbols:
    + Add new symbols.
  * debian/control:
    + Update package descriptions.
    + Remove redundant Priority fields from libwebkitgtk-{1,3}.0-common.
    + Remove duplicate build dependency on flex.
  * debian/patches/install-minibrowser.patch:
    + Ship the MiniBrowser binary, which is useful for testing purposes.
  * debian/patches/dfg-jit.patch:
    + Enable DFG JIT on FreeBSD and Hurd.
  * debian/patches/fix-gtkdoc-error.patch:
    + Fix error in gtk-doc generation.
  * debian/patches/02_notebook_scroll.patch:
    + Refresh.

 -- Alberto Garcia <berto@igalia.com>  Tue, 18 Feb 2014 11:33:19 +0000

webkitgtk (2.3.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_notebook_scroll.patch,
    debian/patches/enable_llint.patch,
    debian/patches/restore_sparc_code.patch:
    + Refresh.
  * debian/patches/x86_asm_fix.patch:
    + Remove, this has been merged upstream.
  * Build a libjavascriptcoregtk-3.0-bin package with the jsc interpreter
    + debian/control: add the new entry.
    + debian/rules: rename the binary from jsc-3 to jsc and add the
      suitable debhelper rules.
    + debian/libjavascriptcoregtk-3.0-bin.install: list package contents.
    + debian/libjavascriptcoregtk-3.0-bin.manpages,
      debian/jsc.1: add manual page.
  * debian/libwebkit2gtk-3.0-25.symbols:
    + Add new symbols.

 -- Alberto Garcia <berto@igalia.com>  Fri, 07 Feb 2014 10:22:37 +0000

webkitgtk (2.3.4-4) experimental; urgency=low

  * debian/patches/atomic_build_fix.patch:
    + Update the patch with a fix that actually works.

 -- Alberto Garcia <berto@igalia.com>  Sat, 01 Feb 2014 09:18:42 +0000

webkitgtk (2.3.4-3) experimental; urgency=low

  * debian/patches/atomic_build_fix.patch:
    + Add -latomic to fix build in some architectures.
  * debian/patches/x86_asm_fix.patch:
    + Update patch with a better fix.
  * debian/patches/enable_llint.patch:
    + Refresh.

 -- Alberto Garcia <berto@igalia.com>  Tue, 28 Jan 2014 10:47:31 +0000

webkitgtk (2.3.4-2) experimental; urgency=low

  * debian/patches/x86_asm_fix.patch:
    + Fix build failure on x86 due to incorrect asm generation.
  * debian/patches/enable_llint.patch:
    + Enable LLINT in FreeBSD and Hurd.
  * debian/patches/restore_sparc_code.patch:
    + Restore removed SPARC code.

 -- Alberto Garcia <berto@igalia.com>  Thu, 16 Jan 2014 08:30:14 +0000

webkitgtk (2.3.4-1ubuntu2) trusty; urgency=medium

  * Cherry-pick a patch from upstream to use the 'q' constraint in some asm,
    to force the use of a register that allows access to its lower byte. Fixes
    FTBFS on i386.
  * Replace webkitgtk-2.3.2-libatomic.patch with explicit linking with
    -latomic on powerpc.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 23 Jan 2014 10:21:36 +0000

webkitgtk (2.3.4-1ubuntu1) trusty; urgency=medium

  * Merge with Debian. Remaining changes:
    - Build for ppc64el and arm64
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Don't use COMPARE_AND_SWAP and other snippets of asm on arm64; the
      compiler complains that they are invalid.
    - Take patch from Fedora to use __atomic_fetch_{add,sub} instead of
      __sync_{add_sub}_and_fetch to avoid a powerpc FTBFS.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jan 2014 10:16:26 +0000

webkitgtk (2.3.4-1) experimental; urgency=low

  * New upstream release.
  * WebKit is now built in fast-install mode by default, there's no need
    to run chrpath anymore.
    + debian/rules: remove it from the installation process.
    + debian/control: don't build depend on it.
  * debian/libwebkit2gtk-3.0-25.symbols:
    + Added new symbols.

 -- Alberto Garcia <berto@igalia.com>  Mon, 13 Jan 2014 19:48:47 +0000


