## webkitgtk 2.4.6

=== debian/changelog ===
webkitgtk (2.4.6-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Re-enable JIT, YARR_JIT and ASSEMBLER on armhf, disabled by mistake when
      inverting the test.
    - Stick on geoclue 1 for now, the new version isn't in main and a
      transition plan needs to be worked out, for example for how to integrate
      the Ubuntu GeoIP service.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 08 Oct 2014 16:31:54 +0100

webkitgtk (2.4.6-1) unstable; urgency=high

  * New upstream release.
  * Urgency high because this release comes with a new set of icons that
    fix copyright issues.
  * debian/rules:
    + Make the GTK+3 build first. Since it's the one that needs more disk
      space, it's better to do it before the GTK+2 version is built.
  * debian/libwebkit2gtk-3.0-25.symbols,
    debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    + Add new symbols.

 -- Alberto Garcia <berto@igalia.com>  Mon, 29 Sep 2014 12:24:08 +0000

webkitgtk (2.4.5-2ubuntu2) utopic; urgency=medium

  * Re-enable JIT, YARR_JIT and ASSEMBLER on armhf, disabled by mistake when
    inverting the test.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 18 Sep 2014 12:13:17 +0100

webkitgtk (2.4.5-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build for ppc64el
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
  * Stick on geoclue 1 for now, the new version isn't in main and a transition
    plan needs to be worked out, for example for how to integrate the Ubuntu
    GeoIP service.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 15 Sep 2014 16:41:35 +0100

webkitgtk (2.4.5-2) unstable; urgency=medium

  * debian/control:
    + Rebuild against new cairo without cairo-gl/egl. Closes: #760593.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 06 Sep 2014 02:44:16 +0200

webkitgtk (2.4.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/dfg-jit.patch,
    debian/patches/enable_llint.patch,
    debian/patches/fix-arm64-build.patch,
    debian/patches/fix-mips64-build.patch,
    debian/patches/restore_sparc_code.patch,
    debian/patches/x32_support.patch:
    + Refresh.
  * debian/control:
    + Remove Mike Hommey from the Uploaders field.
  * debian/rules:
    + Disable JIT and MacroAssembler in all architectures unless we know
      it works (Closes: #759313).
  * debian/watch:
    + Track releases from the 2.4 series only.

 -- Alberto Garcia <berto@igalia.com>  Tue, 26 Aug 2014 08:19:01 +0000

webkitgtk (2.4.4-2) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Disable debugging symbols on kfreebsd-i386. Since the switch to
      GCC 4.9, it's exhausting the available memory.

  [ Alberto Garcia ]
  * debian/patches/fix-mips64-build.patch:
    + Fix mips64 build (Closes: #754358).
  * debian/rules:
    + Disable JIT and MacroAssembler in mipsn32, mipsn32el and mips64.

 -- Alberto Garcia <berto@igalia.com>  Mon, 14 Jul 2014 14:52:28 +0300

webkitgtk (2.4.4-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build for ppc64el
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
  * Stick on geoclue 1 for now, the new version isn't in main and a transition
    plan needs to be worked out, for example for how to integrate the Ubuntu
    GeoIP service.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Jul 2014 17:21:11 +0100

webkitgtk (2.4.4-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release (Closes: #751259).
  * Build using the default gcc version available (Closes: #751329):
    + debian/control: remove build dependency on gcc-4.8 and g++-4.8.
    + debian/rules: don't set the CC and CXX variables.
  * debian/patches/fix-webprocess-leak.patch,
    debian/patches/gtkdoc-remove-Wcast-align.patch
    + Remove, this has been merged upstream.
  * debian/patches/fix-arm64-build.patch:
    + Add support for ARM64 (Closes: #752735).
  * debian/rules:
    + Disable JIT, YARR and assembler in arm64.

  [ Emilio Pozuelo Monfort ]
  * Drop gir1.2-javascriptcore-1.0 and gir1.2-webkit-1.0. WebKit1 is
    deprecated and those packages have no reverse dependencies, so we
    can remove them already.

 -- Alberto Garcia <berto@igalia.com>  Tue, 08 Jul 2014 17:25:22 +0300

webkitgtk (2.4.3-2) unstable; urgency=medium

  * debian/rules:
    + Move -Wl,--as-needed from CFLAGS to LDFLAGS.
  * debian/control:
    + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
      armhf (Closes: #749700).
  * debian/patches/gtkdoc-remove-Wcast-align.patch:
    + Remove -Wcast-align during gtk-doc generation. Fixes FTBFS on hppa
      and others (Closes: #750839).

 -- Alberto Garcia <berto@igalia.com>  Mon, 09 Jun 2014 15:35:44 +0300

webkitgtk (2.4.3-2~ubuntu2) utopic; urgency=medium

  * Don't fail the build on gtk-doc warnings.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Jun 2014 09:36:07 +0100

webkitgtk (2.4.3-2~ubuntu1) utopic; urgency=medium

  [ Alberto Garcia ]
  * debian/rules:
    + Move -Wl,--as-needed from CFLAGS to LDFLAGS.
  * debian/control:
    + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
      armhf (Closes: #749700).

  [ Iain Lane ]
  * Merge with unreleased Debian git. Remaining changes:
    - Build for ppc64el and arm64
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Don't use COMPARE_AND_SWAP and other snippets of asm on arm64; the
      compiler complains that they are invalid.
  * Stick on geoclue 1 for now, the new version isn't in main and a transition

